get
https://api.finmo.net/v1/qrcode/decode
Decode a QR code string (QRPH or PayNow) to extract beneficiary payment details before creating a payout. Use this endpoint to validate and parse a QR code prior to initiating a payout.
This proxy endpoint currently supports one market:
- 🇵🇭 Philippines (PHP): QRPH via Dragonpay — decodes QR codes following the EMVCo standard used by Philippine payment rails.
How it works
- Capture the raw QR code string (scanned or copied from a QR image).
- Pass the
qr_code_textandcurrencyas query parameters to this endpoint. - The API returns the decoded beneficiary details such as
reference_number,beneficiary_name, andamountwhich you could verify.
Note:
- Use the orginal qr string details to create a Payout via the Create Payout endpoint using proxy_type as 'qr_code_text' and proxy_value as the raw QR code string in payout beneficiary params.
Authentication
Use Basic Auth with your Finmo API keys
